System.Web 2.0.0.0 System.Web.UI.WebControls.Parameter System.ComponentModel.DefaultProperty("FormField")

You can use the class to bind the value of a form variable in the collection to a parameter used in a parameterized query or command. Controls that bind data to the parameter might throw an exception if a is specified but no corresponding form variable is passed. They might also display no data if the form variable is passed with no corresponding value. Set the to avoid these situations where appropriate.

The class provides the property, which identifies the name of the form variable to bind to, in addition to those inherited from the class.

The does not validate the value passed by the form element in any way; it uses the raw value. In most cases you can validate the value of the before it is used by a data source control by handling an event, such as the Selecting, Updating, Inserting, or Deleting event exposed by the data source control you are using. If the value of the parameter does not pass your validation tests, you can cancel the data operation by setting the property of the associated class to true.

Binds the value of an HTTP request field to a parameter object.

- Constructor

  A object created with the constructor is initialized with default values for all its properties. The is initialized to . Additionally, the property is initialized to , the property is initialized to , the property is initialized to , and the property is initialized to null (Nothing in Visual Basic).

  Initializes a new unnamed instance of the class.

  2.0.0.0
- Constructor

  The constructor is a protected copy constructor used to clone a instance. The values of the , including , , and are all transferred to the new instance.

  Initializes a new instance of the class with the values of the instance specified by the parameter.

  A instance that the current instance is initialized from.
  2.0.0.0
- Constructor

  A object created with the constructor is initialized with the specified parameter name and string that identifies the form variable that the parameter binds to. The and properties are initialized with default values.

  Initializes a new named instance of the class, using the specified string to identify which form variable field to bind to.

  The name of the parameter.
  The name of the form variable that the parameter object is bound to. The default is .
  2.0.0.0
- Constructor

  A object created with the constructor is initialized with the specified parameter name, , and string that identifies the form variable that the parameter binds to. Only the and properties are initialized with default values.

  Initializes a new named and strongly typed instance of the class, using the specified string to identify which form variable to bind to.

  The name of the parameter.
  The type that the parameter represents. The default is .
  The name of the form variable that the parameter object is bound to. The default is .
  2.0.0.0
- Method
  System.Web.UI.WebControls.Parameter

  The method calls the copy constructor to initialize a new instance of the class with the values of the current instance.

  Returns a duplicate of the current instance.

  A that is an exact duplicate of the current one.

  2.0.0.0
- Method
  System.Object `` `` To be added.

  The attempts to bind to the form variable every time the method is called.

  The parameter is used by the method to retrieve the value of the specified form field from the request. The parameter is ignored.

  Updates and returns the value of the object.

  An object that represents the updated and current value of the parameter. If the context or the request is null (Nothing in Visual Basic), the method returns null.

  A that is associated with the page where the is used. 2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  The identifies a name/value pair that is passed in the collection. While the property identifies the name of the pair, the binds to its corresponding value at run time. If the expected form variable string name/value pair is not passed to the ASP.NET Web page in the collection, the method binds the parameter to the value of the property, if it is set. If the is not set, the method fails to bind the parameter to a value.

  Gets or sets the name of the form variable that the parameter binds to.

  2.0.0.0